Commit 8a3ad5ba authored by Christoph Grueninger's avatar Christoph Grueninger
Browse files

[Multidomain] Update compatible versions as MultidomainGrid-2.3 is near

Update core modules to 2.3.
PDELab to 1.1
MultidomainGrid 2.3 release branch.
Stick with hand-picked version of Multidomain.

Many thanks to Steffen for updating Multidomani and fixing my bug.
(reviewed by fetzer)


git-svn-id: svn://svn.iws.uni-stuttgart.de/DUMUX/dumux/trunk@13008 2fb0f335-1f38-0410-981e-8018bf24f1b0
parent 70120516
......@@ -5,14 +5,9 @@ Dune-MultidomainGrid and Dune-Multidomain, we have compatibility
issues with the release version of the Dune Core Modules. You
have to use specific revisions of these, as listed below.
dune-common Git commit 6fb2492cca04e07ad43074a29667b633b4fa0680
dune-geometry Git commit cda1d514d79f13e70de2d55fdf6906864c2fdcdd
dune-grid Git commit cfec4c46bd59219337660ed833fe38cd2acbd364
dune-istl Git commit b2c9640a4873ca905caf8e29ebc348a817801e9b
dune-localfunctions Git commit d7776478e0e56beceebc48ddfca068b1c115dff3
dune-PDELab Git commit 1de21a0859e10914ba5c3b70f67c5517573ac70e
dune-multidomaingrid Git commit 30ff14d6b49c8adabf9e5cec67f20fcb3270a77e
Dune core modules: release 2.3
Dune-PDELab release 1.1
dune-multidomaingrid: release branch 2.3
dune-multidomain Git commit deac3cecfc6697c1f5316d55c0fadd74f51d92bc
Then you have to patch PDELab with the patch from patches/pdelab-1.1.0.patch .
......@@ -24,7 +19,7 @@ You need Boost fusion for dune-multidomaingrid.
There are compiler restrictions:
- GCC 4.6 works.
- GCC 4.7 produces segmentation faults.
- GCC 4.8 works only with unoptimized builds (-O0).
- GCC 4.8 and 4.9 works only with unoptimized builds (-O0).
- Clang is not supported.
- Intel ICC is not tested.
......
......@@ -5,27 +5,27 @@
# download Dune core modules
git clone http://git.dune-project.org/repositories/dune-common
cd dune-common
git checkout 6fb2492cca04e07ad43074a29667b633b4fa0680
git checkout releases/2.3
cd ..
git clone http://git.dune-project.org/repositories/dune-geometry
cd dune-geometry
git checkout cda1d514d79f13e70de2d55fdf6906864c2fdcdd
git checkout releases/2.3
cd ..
git clone http://git.dune-project.org/repositories/dune-grid
cd dune-grid
git checkout cfec4c46bd59219337660ed833fe38cd2acbd364
git checkout releases/2.3
cd ..
git clone http://git.dune-project.org/repositories/dune-istl
cd dune-istl
git checkout b2c9640a4873ca905caf8e29ebc348a817801e9b
git checkout releases/2.3
cd ..
git clone http://git.dune-project.org/repositories/dune-localfunctions
cd dune-localfunctions
git checkout d7776478e0e56beceebc48ddfca068b1c115dff3
git checkout releases/2.3
cd ..
# download dune-PDELab
......@@ -35,19 +35,19 @@ git checkout releases/1.1
cd ..
# download dune-multidomaingrid
git clone https://users.dune-project.org/repositories/projects/dune-multidomaingrid.git
git clone git://github.com/smuething/dune-multidomaingrid.git
cd dune-multidomaingrid
git checkout 30ff14d6b49c8adabf9e5cec67f20fcb3270a77e
git checkout releases/2.3
cd ..
# download dune-multidomain
git clone https://users.dune-project.org/repositories/projects/dune-multidomain.git
git clone git://github.com/smuething/dune-multidomain.git
cd dune-multidomain
git checkout deac3cecfc6697c1f5316d55c0fadd74f51d92bc
cd ..
# download DuMuX
svn co svn://svn.iws.uni-stuttgart.de/DUMUX/dumux/branches/release-2.5 dumux
svn co svn://svn.iws.uni-stuttgart.de/DUMUX/dumux/trunk dumux
# apply patches to PDELab
cd dune-pdelab
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment